# Claim step reward

Client endpoint. Claims the current user’s step reward from a reward chain.  
  Note
    This API call uses a user JWT for authorization.
    Include the token in the Authorization header in the following format: Bearer &lt;user_JWT&gt;. For more information about user JWT, see the Security block for this call.

Endpoint: POST /v2/project/{project_id}/user/reward_chain/{reward_chain_id}/step/{step_id}/claim
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com//projects/.
    Example: 44056

  - `reward_chain_id` (integer, required)
    Reward chain ID.
    Example: 101

  - `step_id` (integer, required)
    Reward chain step ID.
    Example: 120

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1501

  - `errorMessage` (string)
    Example: "[0401-1501]: Authorization failed: Provide authorization"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9911

  - `errorMessage` (string)
    Example: "[0401-9911]: Reward chain step not found."

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 9912

  - `errorMessage` (string)
    Example: "[0401-9912]: Can't claim the step reward."


## Response 204 fields
